Support » Plugins » [Plugin: Wordfence] Update failed (Could not copy file)

  • I originally came here from Wordfence Security [resolved] Update Error – v 5.1.7. This post discusses a problem that occurs on automated updates (copy failed).

    The error still persist on my sites. For the last update from 5.2.3 to 5.2.4 the following happens:

    Installing Plugin: Wordfence Security 5.2.4

    Downloading install package from https://downloads.wordpress.org/plugin/wordfence.5.2.4.zip…

    Unpacking the package…

    Could not copy file. wordfence/images/forward_enabled.jpg

    I checked the permissions. The are like the following:

    /
    0755  /wp-content
    0755  /wp-content/plugins
    0755  /wp-content/plugins/wordfence
    0755  /wp-content/plugins/wordfence/images
    0644  /wp-content/plugins/wordfence/images/forward_enabled.jpg

    Other plugins are similar (same permissions, same user and group), so I am a bit confused, because the other plugins can be updated without problems.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Hmm Let me research a bit and get back to you.

    tim

    Do you have access to your error logs? I’d like to get some more specifics on this, Usually your hosting provider can get site specific logs. Have them search for wordfence to weed out the unnecessary stuff, if they can. Email to me tim [at] wordfence.com

    Thanks!

    tim

    https://wordpress.org/support/plugin/wordfence

    (trying to get this to show in the wordpress support posts)

    tim

    Thank you Tim, I will try to get them and send them to you asap.

    You need to go to /wp-content/upgrade/ and delete all the wordfence folders/files in there. Maybe you won’t be able to do that via FTP due to chown problems but will need shell access to your server to get rid of them. After that is done you will be able to upgrade without a problem

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: Wordfence] Update failed (Could not copy file)’ is closed to new replies.